Bug 1673052 - Review Request: libfixposix - Thin wrapper over POSIX syscalls
Summary: Review Request: libfixposix - Thin wrapper over POSIX syscalls
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-06 15:14 UTC by Fabio Valentini
Modified: 2019-02-26 03:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-26 01:29:53 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2019-02-06 15:14:01 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/libfixposix.spec
SRPM URL: https://decathorpe.fedorapeople.org/packages/libfixposix-0.4.3-1.fc29.src.rpm

Description:
The purpose of libfixposix is to offer replacements for parts of POSIX
whose behaviour is inconsistent across *NIX flavours.

Fedora Account System Username: decathorpe

koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=32578217


This package is necessary for updating sequeler to versions 0.6.6 and later.


Note:
=====

The upstream developer is aware of the issue as pointed out by rpmlint:
  "E: missing-call-to-setgroups-before-setuid /usr/lib64/libfixposix.so.3.2.0"

I've commented on the upstream ticket at:
  https://github.com/sionescu/libfixposix/issues/10

Comment 1 Robert-André Mauchin 🐧 2019-02-16 16:12:49 UTC
Package approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSL", "*No copyright* BSL", "Expat License", "GPL (v3 or
     later)", "Unknown or generated". 31 files have unknown license.
     Detailed output of licensecheck in
     /home/bob/packaging/review/libfixposix/review-
     libfixposix/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libfixposix-debuginfo , libfixposix-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libfixposix-0.4.3-1.fc30.x86_64.rpm
          libfixposix-devel-0.4.3-1.fc30.x86_64.rpm
          libfixposix-debuginfo-0.4.3-1.fc30.x86_64.rpm
          libfixposix-debugsource-0.4.3-1.fc30.x86_64.rpm
          libfixposix-0.4.3-1.fc30.src.rpm
libfixposix.x86_64: W: spelling-error Summary(en_US) syscalls -> miscalls
libfixposix.x86_64: W: spelling-error %description -l en_US behaviour -> behavior
libfixposix.x86_64: W: spelling-error %description -l en_US flavours -> flavors, flours
libfixposix.x86_64: E: missing-call-to-setgroups-before-setuid /usr/lib64/libfixposix.so.3.2.0
libfixposix-devel.x86_64: W: spelling-error Summary(en_US) syscalls -> miscalls
libfixposix-devel.x86_64: W: spelling-error %description -l en_US behaviour -> behavior
libfixposix-devel.x86_64: W: spelling-error %description -l en_US flavours -> flavors, flours
libfixposix-devel.x86_64: W: no-documentation
libfixposix.src: W: spelling-error Summary(en_US) syscalls -> miscalls
libfixposix.src: W: spelling-error %description -l en_US behaviour -> behavior
libfixposix.src: W: spelling-error %description -l en_US flavours -> flavors, flours
5 packages and 0 specfiles checked; 1 errors, 10 warnings.

Comment 3 Igor Raits 2019-02-17 12:55:01 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libfixposix

Comment 4 Fedora Update System 2019-02-17 15:10:00 UTC
libfixposix-0.4.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1142c91336

Comment 5 Fedora Update System 2019-02-17 15:12:38 UTC
libfixposix-0.4.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-96ebd7b530

Comment 6 Fabio Valentini 2019-02-17 15:13:21 UTC
Built for rawhide, too: https://koji.fedoraproject.org/koji/buildinfo?buildID=1211656

Thanks everybody.

Comment 7 Fedora Update System 2019-02-18 02:38:02 UTC
libfixposix-0.4.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-96ebd7b530

Comment 8 Fedora Update System 2019-02-18 03:05:50 UTC
libfixposix-0.4.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1142c91336

Comment 9 Fedora Update System 2019-02-26 01:29:53 UTC
libfixposix-0.4.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-02-26 03:05:22 UTC
libfixposix-0.4.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.